@echo off

set checkApp=
set version=
set fullVersion=com.mobzapp.screenstream
set trialVersion=com.mobzapp.screenstream.trial

echo *** Screen Stream Mirroring service setup v19 ***

rem Check whether device is connected or wait for one
"%~dp0tools\adb.exe" -d get-state> "%~dp0adbState.tmp"
set /p adbState=<"%~dp0adbState.tmp"
del "%~dp0adbState.tmp"
if "%adbState%"=="device" (
	echo Waiting for device to be connected...
	"%~dp0tools\adb.exe" -d wait-for-device	
) else (
	echo.
	echo Device not found:
	echo.
	echo 1. Check you enabled USB debugging option ^(read Instructions.txt if needed^) and ^(re^)plug device to USB.
	echo.
	echo 2. Check you authorized the computer for USB debugging if a confirmation dialog appeared on your Android device.
	echo.
	echo 3. Check you unzipped the entire ZIP file content.
	echo.
	echo 4. If you have an error saying "Access is denied" or "The system cannot find the file specified" then you might need to run startService as administrator ^(right click, run as administrator^).
	echo.
	echo 5. IMPORTANT: Check your ADB drivers:
	echo -^> For easy auto install, download and run: http://adbdriver.com/upload/adbdriver.zip
	echo Then if your device appears with a red alert just click the 'Install' button.
	echo.
	echo ^(Drivers manual installation guide: http://developer.android.com/tools/extras/oem-usb.html#InstallingDriver^)
	goto end
)

rem find installed version of ScreenStream
rem for /f "delims=" %%i in ('%~dp0tools\adb.exe -d shell pm path %fullVersion%') do set checkApp=%%i
"%~dp0tools\adb.exe" -d shell pm path %fullVersion%> "%~dp0checkApp.tmp"
set /p checkApp=<"%~dp0checkApp.tmp"
del "%~dp0checkApp.tmp"
if not "%checkApp%"=="" if "%version%"=="" (set version=%fullVersion%)

rem for /f "delims=" %%i in ('%~dp0tools\adb.exe -d shell pm path %freeVersion%') do set checkApp=%%i
"%~dp0tools\adb.exe" -d shell pm path %freeVersion%> "%~dp0checkApp.tmp"
set /p checkApp=<"%~dp0checkApp.tmp"
del "%~dp0checkApp.tmp"
if not "%checkApp%"=="" if "%version%"=="" (set version=%trialVersion%)

if not "%version%"=="" (
	rem Stop application
	echo Stopping ScreenStream application...
	"%~dp0tools\adb.exe" -d shell am force-stop %version%
	"%~dp0tools\adb.exe" -d shell am kill %version%
	rem Stop the service
	"%~dp0tools\adb.exe" -d shell killall -9 ScreenStreamServerNR >NUL
	rem Stop also the new service
	"%~dp0tools\adb.exe" -d shell killall -9 ScreenStreamEncServer >NUL
	echo Starting Screen Stream Mirroring service...
	rem Start the service
	start /B CALL "%~dp0tools\adb.exe" -d shell /data/data/%version%/files/ScreenStreamServerNR; cp /data/data/%version%/files/ScreenStreamServerNR /data/local/tmp/; /data/local/tmp/ScreenStreamServerNR >NUL
	rem Start also the new service
	start /B CALL "%~dp0tools\adb.exe" -d shell /data/data/%version%/files/ScreenStreamEncServer; cp /data/data/%version%/files/ScreenStreamEncServer /data/local/tmp/; /data/local/tmp/ScreenStreamEncServer >NUL
	rem Start application
	echo Restarting Screen Stream Mirroring application...
	"%~dp0tools\adb.exe" -d shell am start -n %version%/com.mobzapp.screenstream.StartupSplashActivity >NUL
) else ( echo *** Application not found! Please check Screen Stream Mirroring installation, and be sure you unzipped the entire ZIP content *** )

:end
pause>nul
